include<iostream>
using namespace std;

int maxim,g=0;

int f(int a[],int n)
{
	
	for(int i=g;i<n;i++)
	if(a[i]>maxim) maxim=a[i];
	return maxim;
}

int f1(int maxim,int a[],int n)
{
	for(int i=g;i<n;i++)
	if(a[i]==maxim) return i;
}

int main()
{
	int n;
	cin>>n;
	int a[n];
	for(int i=0;i<n;i++)
	cin>>a[i];
	
	bool p=true;
	while(p)
	{
		maxim=a[g];

	maxim=f(a,n);
	
	int s=f1(maxim,a,n);
	for(int i=0;i<s;i++)
	if(a[i]<=a[s]) 
	{
		swap(a[i],a[s]);
		p=false;
		break;
	}
	if(p) g++;
	if(g==n-1) 
	{
		swap(a[n-1],a[n-2]);
		break;
	}
	}
	for(int i=0;i<n;i++)
	cout<<a[i]<<" ";
}